X2Go Bug report logs - #689
[X2Go-Dev] Deps on notify-python

version graph

Package: pyhoca-gui; Maintainer for pyhoca-gui is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-gui is src:pyhoca-gui.

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Thu, 4 Dec 2014 15:50:02 UTC

Severity: normal

Tags: pending

Fixed in version 0.5.0.5

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#689; Package pyhoca-gui. (Thu, 04 Dec 2014 15:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 04 Dec 2014 15:50:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Deps on notify-python
Date: Thu, 04 Dec 2014 08:49:49 -0700
Package: pyhoca-gui

>>>> I see that pyhoca-cli and pyhoca-gui are configured to require
>>>> notify-python.  However, it doesn't look like pyhoca-cli uses it.

Looks like the modern way is using gobject  (pygobject2 or pygobject3 in 
RHEL7).  See 
https://wiki.archlinux.org/index.php/Desktop_notifications#Usage_in_programming

Python

    Dependencies: libnotify, python-gobject (or python2-gobject for 
Python 2)

hello_world.py

#!/usr/bin/python
from gi.repository import Notify
Notify.init ("Hello world")
Hello=Notify.Notification.new ("Hello world","This is an example 
notification.","dialog-information")
Hello.show ()


It would be good to get this updated.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#689; Package pyhoca-gui. (Wed, 27 May 2015 10:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 27 May 2015 10:20:02 GMT) Full text and rfc822 format available.

Message #10 received at 689@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 689-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 689@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as pending for release
Date: Wed, 27 May 2015 12:16:37 +0200 (CEST)
tag #689 pending
fixed #689 0.5.0.5
thanks

Hello,

X2Go issue #689 (src:pyhoca-gui) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=f5d975c

The issue will most likely be fixed in src:pyhoca-gui (0.5.0.5).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit f5d975cab2dc6fd47c77145a281e3c3a89cbbcdb
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed May 27 12:16:25 2015 +0200

    debian/control,pyhoca-gui.specs: Pull-in gobject introspection packages for libnotify support. Fallback to pynotify (GTK2 based notifcations) only if gi.repository.Notify is unavailable. (Fixes: #689).

diff --git a/debian/changelog b/debian/changelog
index 0b6c3fe..2e756a7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,10 @@ pyhoca-gui (0.5.0.5-0x2go1) UNRELEASED; urgency=medium
 
   * New upstream version (0.5.0.5):
     - Handle notification the GTK3-way. (Fixes: #769).
+  * debian/control,pyhoca-gui.specs:
+    + Pull-in gobject introspection packages for libnotify support.
+      Fallback to pynotify (GTK2 based notifcations) only if
+      gi.repository.Notify is unavailable. (Fixes: #689).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 27 May 2015 11:46:24 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 27 May 2015 10:20:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.5.0.5. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 27 May 2015 10:20:04 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#689. (Wed, 27 May 2015 10:20:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and filed, but not forwarded. (Wed, 27 May 2015 16:10:02 GMT) Full text and rfc822 format available.

Message #20 received at 689-quiet@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 689-quiet@bugs.x2go.org
Subject: Re: Bug#689: X2Go issue (in src:pyhoca-gui) has been marked as pending for release
Date: Wed, 27 May 2015 09:57:37 -0600
On 05/27/2015 04:16 AM, Mike Gabriel wrote:
> tag #689 pending
> fixed #689 0.5.0.5
> thanks
> 
> Hello,
> 
> X2Go issue #689 (src:pyhoca-gui) reported by you has been
> fixed in X2Go Git. You can see the changelog below, and you can
> check the diff of the fix at:
> 
>     http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=f5d975c
> 
> The issue will most likely be fixed in src:pyhoca-gui (0.5.0.5).
> 
> light+love
> X2Go Git Admin (on behalf of the sender of this mail)
> 
> ---
> commit f5d975cab2dc6fd47c77145a281e3c3a89cbbcdb
> Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
> Date:   Wed May 27 12:16:25 2015 +0200
> 
>     debian/control,pyhoca-gui.specs: Pull-in gobject introspection packages for libnotify support. Fallback to pynotify (GTK2 based notifcations) only if gi.repository.Notify is unavailable. (Fixes: #689).
> 
> diff --git a/debian/changelog b/debian/changelog
> index 0b6c3fe..2e756a7 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -2,6 +2,10 @@ pyhoca-gui (0.5.0.5-0x2go1) UNRELEASED; urgency=medium
>  
>    * New upstream version (0.5.0.5):
>      - Handle notification the GTK3-way. (Fixes: #769).
> +  * debian/control,pyhoca-gui.specs:
> +    + Pull-in gobject introspection packages for libnotify support.
> +      Fallback to pynotify (GTK2 based notifcations) only if
> +      gi.repository.Notify is unavailable. (Fixes: #689).
>  
>   -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 27 May 2015 11:46:24 +0200
>  
> 

FWIW - I have the EPEL7 pyhoca-gui package still using notify-python and that
seems to be working fine.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#689; Package pyhoca-gui. (Thu, 28 Jan 2016 17:35:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 28 Jan 2016 17:35:04 GMT) Full text and rfc822 format available.

Message #25 received at 689@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager <git-admin@x2go.org>
To: 689-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 689@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as closed
Date: Thu, 28 Jan 2016 18:33:21 +0100 (CET)
close #689
thanks

Hello,

we are very hopeful that X2Go issue #689 reported by you
has been resolved in the new release (0.5.0.5) of the
X2Go source project »src:pyhoca-gui«.

You can view the complete changelog entry of src:pyhoca-gui (0.5.0.5)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-gui.

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=c6680da4cacd7a6c3ce155f4180630abbb4a550a;hp=301225fa55b2ebe503fa4705bbbda119b4a549eb

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-gui.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-gui
Version: 0.5.0.5-0x2go1
Status: RELEASE
Date: Thu, 28 Jan 2016 18:23:00 +0100
Fixes: 689 769 979
Changes: 
 pyhoca-gui (0.5.0.5-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream version (0.5.0.5):
     - Handle notification the GTK3-way. (Fixes: #769).
     - Catch a wx._core.PyAssertionError (C++ assertion "IsOk()" failed at
       ../src/common/image.cpp(429) in Scale(): invalid image) when
       rendering icons in the published applications menu. (Fixes: #979).
   * debian/control,pyhoca-gui.specs:
     + Pull-in gobject introspection packages for libnotify support.
       Fallback to pynotify (GTK2 based notifcations) only if
       gi.repository.Notify is unavailable. (Fixes: #689).
 .
   [ Mihai Moldovan ]
   * New upstream version (0.5.0.5):
   * debian/control:
     - Drop python-support run-time dependency, add dh-python alternative to
       python-support build dependency.
       Needed at least for unstable, which has no python-support package
       anymore.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 28 Jan 2016 17:35:08 GMT) Full text and rfc822 format available.

Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Thu, 28 Jan 2016 17:35:08 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#689. (Thu, 28 Jan 2016 17:35:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 26 Feb 2016 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Jun 19 11:58:05 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.